_Evas_GL_Config Struct Reference
Evas » Canvas Functions » Rendering GL on Evas

A structure used to specify the configuration of an Evas_GL_Surface. More...

`#include <Evas_GL.h>`

## Data Fields

Evas_GL_Color_Format | color_format
| Surface Color Format.
Evas_GL_Depth_Bits | depth_bits
| Surface Depth Bits.
Evas_GL_Stencil_Bits | stencil_bits
| Surface Stencil Bits.
Evas_GL_Options_Bits | options_bits
| Extra Surface Options.
Evas_GL_Multisample_Bits | multisample_bits
| Optional Surface MSAA Bits.
Evas_GL_Context_Version | gles_version

## Detailed Description

A structure used to specify the configuration of an Evas_GL_Surface.

This structure should be allocated with evas_gl_config_new() and released with evas_gl_config_free().

See also
  evas_gl_surface_create
  evas_gl_pbuffer_surface_create